<template>
  <el-carousel :interval="4000" type="card" height="200px">
    <el-carousel-item v-for="item in props.data" :key="item">
      <div class="d-flex" style="height: 100%">
        <div class="symbol symbol-150px p-5">
          <img :src="item.picture.Location" alt="" style="height: 100%" />
        </div>
        <div class="d-flex flex-column p-5 align-self-center">
          <h4 class="align-self-start fs-sm-9 fs-lg-1 text-dark">
            {{ item.name }}
          </h4>
          <p class="align-self-start fs-sm-9 fs-lg-4">{{ item.institution }}</p>
          <p class="fs-sm-10 fs-lg-6 text-start">
            {{ item.quote }}
          </p>
        </div>
      </div>
    </el-carousel-item>
  </el-carousel>
</template>

<script>
import { defineComponent } from "vue";
import "vue3-carousel/dist/carousel.css";

export default {
  props: {
    data: [],
  },
  setup(props) {
    return { props };
  },
};
</script>

<style scoped>
.el-carousel__item h3 {
  color: #475669;
  font-size: 14px;
  opacity: 0.75;
  line-height: 200px;
  margin: 0;
  text-align: center;
}

.el-carousel__item:nth-child(2n) {
  background-color: #99a9bf;
}

.el-carousel__item:nth-child(2n + 1) {
  background-color: #d3dce6;
}
</style>